#include <bits/stdc++.h>
using namespace std;

const int maxn=1e5+5;

int n, m, a[maxn], x, y;
long long s=0;

int main(){
	cin>>n>>m;
	for(int i=0; i<n; i++) cin>>a[i];
	while(m--){
		cin>>x>>y;
		s+=abs(a[x-1]+a[y-1]);
	}
	cout<<s;
	return 0;
}